> ## Documentation Index
> Fetch the complete documentation index at: https://api.smartlead.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook Summary

> Get webhook execution summary and statistics for a campaign

## Path Parameters

<ParamField path="campaignId" type="number" required>
  Campaign ID
</ParamField>

## Query Parameters

<ParamField query="api_key" type="string" required>
  Your SmartLead API key
</ParamField>

<ParamField query="fromTime" type="string" required>
  Start date in ISO format (e.g. `2024-01-01T00:00:00.000Z`)
</ParamField>

<ParamField query="toTime" type="string" required>
  End date in ISO format (e.g. `2024-01-31T23:59:59.999Z`)
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://server.smartlead.ai/api/v1/campaigns/123/webhooks/summary?api_key=YOUR_KEY&fromTime=2024-01-01T00:00:00.000Z&toTime=2024-01-31T23:59:59.999Z"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      f"https://server.smartlead.ai/api/v1/campaigns/123/webhooks/summary",
      params={
          "api_key": "YOUR_API_KEY",
          "fromTime": "2024-01-01T00:00:00.000Z",
          "toTime": "2024-01-31T23:59:59.999Z"
      }
  )

  summary = response.json()
  print(f"Total webhook calls: {summary.get('total_calls', 0)}")
  print(f"Success rate: {summary.get('success_rate', 0)}%")
  ```
</RequestExample>

## Response Example

<ResponseExample>
  ```json 200 theme={null}
  {
    "total_calls": 150,
    "successful_calls": 145,
    "failed_calls": 5,
    "success_rate": 96.7
  }
  ```
</ResponseExample>
